#!/bin/bash
echo funzte nicht
exit 1
if [ ${#@} -eq 0 ]; then
    echo "Titel des Artikels"
    read -p ": " title
else
    title="$@"
fi

date_long=$(date +%Y-%m-%dT%H:%M:00+0200)
date=$(date +%Y-%m-%d)
title_=${title// /-}
mkdir -p "content/news/${date}-${title_}"
echo "---" > "content/news/${date}-${title_}/index.de.md"
echo "title: \"${title}\"" >> "content/news/${date}-${title_}/index.de.md"
echo "date: ${date_long}" >> "content/news/${date}-${title_}/index.de.md"
echo "---" >> "content/news/${date}-${title_}/index.de.md"

git add "content/news/${date}-${title_}/"
git commit -m "New Post: ${date}-${title}"

for i in vim nano gedit kate; do
    if command -v $i > /dev/null; then
        editor="$i"
    fi
done

echo ""
echo ""
echo "Schreibe nun mit einem einfachen Editor deinen Artikel."
echo ""
echo "'${editor} content/news/${date}-${title_}/index.de.md'"
echo ""
echo "'https://buha.rotce.de/misc/generator/' hilft dir!"
echo ""
echo "Lege vielleicht noch Bilder in den Ordner 'content/news/${date}-${title_}'"
echo ""
echo "Wenn du fertig bist, nutze './push.sh' um das hochzuladen."
